Bug 1273923 - Red Hat Satellite 6.1 installation guide procedure 5.1. To Register a Satellite to Itself have incorrect steps.
Summary: Red Hat Satellite 6.1 installation guide procedure 5.1. To Register a Satelli...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Install Guide
Version: 6.1.0
Hardware: Unspecified
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Peter Ondrejka
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-21 13:49 UTC by Mahesh Taru
Modified: 2019-09-26 16:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-27 23:45:47 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mahesh Taru 2015-10-21 13:49:51 UTC
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Installation_Guide/chap-Red_Hat_Satellite-Installation_Guide-Configuring_a_Self_Registered_Satellite.html

Section Number and Name: 
5.1. To Register a Satellite to Itself

Describe the issue & Suggestions for improvement:
Step "2.c/2.d"
This no longer matches the interface used for subscription management. 

Currently, the satellite server instance must be opened by clicking on the hostname. Then the subscriptions can be selected, and added to the host using the "Attach a subscription" button.

Step "4.b"
The name is no longer "Red Hat Software Collections RPMs" but "RH Common RPMs"
Including the categories where those repositories are located would be a nice touch, since both Satellite and RHN-Tools channels used to be a children, and are located elsewhere in the display now.


Step "7"
The command given is "rpm -Uvh https://localhost/pub/katello-ca-consumer-latest.noarch.rpm"
Obtaining the file over HTTPS generates an error for most customers, since they will not have a signed key. The purpose of this procedure is to do a local install, and we want the key from the local system, so specifying the local path to the file would be a significant improvement:
rpm -Uvh /var/www/html/pub/katello-ca-consumer-latest.noarch.rpm

Step "8"
The option "--auto" is no longer correct. I believe you now intend to use the option "--auto-attach"

Step 11
Minor issue with Step "11". It would be beneficial to declare the minimum necessary channels, even though that information exists up in step 4.6 for a different purpose.

Additional information:

Comment 1 Peter Ondrejka 2015-11-27 15:11:15 UTC
Thank you Maresh, 

I did most of the requested changes in commit:

https://gitlab.sat.lab.tlv.redhat.com/satellite6-docs/installation-guide/commit/027b35367c90c2df1b7adaefa53c404af91261e2

preview at:
http://file.brq.redhat.com/~pondrejk/install-guide/#sect-Red_Hat_Satellite-Installation_Guide-Setting_Up_a_Self_Registered_Satellite-Registering_a_Satellite_to_Itself

I got rid of the --auto-attach thing, as the pools to be attached are specified in next steps.

I'm not sure about 'The name is no longer "Red Hat Software Collections RPMs" but "RH Common RPMs', Rich can you please comment on this?

Thanks a lot.

Comment 2 Rich Jerrido 2016-02-04 10:36:09 UTC
(In reply to Peter Ondrejka from comment #1)
> Thank you Maresh, 
> 
> I did most of the requested changes in commit:
> 
> https://gitlab.sat.lab.tlv.redhat.com/satellite6-docs/installation-guide/
> commit/027b35367c90c2df1b7adaefa53c404af91261e2
> 
> preview at:
> http://file.brq.redhat.com/~pondrejk/install-guide/#sect-Red_Hat_Satellite-
> Installation_Guide-Setting_Up_a_Self_Registered_Satellite-
> Registering_a_Satellite_to_Itself
> 
> I got rid of the --auto-attach thing, as the pools to be attached are
> specified in next steps.
> 
> I'm not sure about 'The name is no longer "Red Hat Software Collections
> RPMs" but "RH Common RPMs', Rich can you please comment on this?
> 
> Thanks a lot.


'Red Hat Software Collections RPMs' is the correct repo.

Comment 6 Andrew Dahms 2016-04-27 23:45:47 UTC
This content is now live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.